<template>
  <div class="wrapper" style="overflow: hidden">
    <div class="container-fuild">
      <div id="header">
        <div id="headTitle">
          <Logo />
          <h1 id="title" _msttexthash="48503" _msthash="2">{{i18ntext.lngText('purchase')}}</h1>
        </div>
        <Header />
        <ol id="topicPath">
          <li style="margin-left: 329px">
            <router-link to="menupurchase"
              ><a href="dashbaord">
                <font style="vertical-align: inherit">
                  <font style="vertical-align: inherit">{{i18ntext.lngText('purchase')}}</font>
                </font>
              </a>
            </router-link>
          </li>
        </ol>
        <!-- / #header -->
      </div>
    </div>
    <div class="search-box">
      <div id="purchase">
        <div class="search-box mb-4">
          <div class="search-box-title" id="Bars">
            <div id="bar" style="width: 90%">
              <a
                class="btn-radius bt-pn btn btn-sm"
                href="#"
                data-bs-toggle="dropdown"
                aria-expanded="false"
                id="bar-1"
                style="float: left; color: #f8f5b4; margin-top: -2px"
              >
                <i class="fas fa-plus" style="padding-right: 5px; margin-top: -2px"> </i>
                {{i18ntext.lngText('add_new')}}
              </a>
              <ul class="dropdown-menu">
                <li>
                  <a
                    @click="
                      getMessage(
                        'Message Confirm',
                        'Do you want to create new product.',
                        'crate',
                        code
                      )
                    "
                    class="dropdown-item btn btn-primary"
                    data-bs-toggle="modal"
                    data-bs-target="#staticBackdrop"
                    >{{i18ntext.lngText('generate')}}</a
                  >
                </li>
              </ul>
              <router-link to="/Purchasview"
                ><a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fas fa-eye" style="padding-right: 5px"> </i>
                  {{i18ntext.lngText('view')}}
                </a></router-link
              >
              <a
                v-if="form.statue == 'pending'"
                @click="gettoRecpt()"
                class="btn-radius btn btn-sm"
                href="#"
                style="color: #f8f5b4; margin-top: -2px"
              >
                <i class="fas fa-edit"></i>{{i18ntext.lngText('recept')}} : {{ form.document_no }}
              </a>
            </div>
            <div id="right" style="width: 10%">
              <a
                class="btn-radius bt-pn btn btn-sm"
                data-bs-toggle="dropdown"
                aria-expanded="false"
                style="float: right; color: #f8f5b4; margin-top: -2px; margin-right: 11px"
              >
                <i class="fas fa-plus" style="padding-right: 5px"> </i>
                {{i18ntext.lngText('menu')}}
              </a>
              <ul class="dropdown-menu">
                <li  v-if="(is_close == false && form.statue != 'close')">
                  <a
                    class="dropdown-item"
                    data-bs-toggle="modal"
                    data-bs-target="#confirmsubmit"
                    tabindex="10028"
                    href="#"
                  >
                    <i class="fas fa-save"></i> {{i18ntext.lngText('booking')}}</a>
                </li>
                <li  v-if="is_close== true && form.statue != 'close'">
                  <a

                    class="dropdown-item"
                    data-bs-toggle="modal"
                    data-bs-target="#confirmsubmit"
                    tabindex="10028"
                    href="#"
                  >
                    <i class="fas fa-save"></i> {{i18ntext.lngText('back_edit')}}</a>

                </li>

                <li v-if="is_close == true">
                  <a
                    class="dropdown-item"
                    data-bs-toggle="modal"
                    data-bs-target="#staticboomId"
                    tabindex="10028"
                    href="#"
                    ><i class="fa fa-print" aria-hidden="true"></i> {{i18ntext.lngText('print')}}</a
                  >
                </li>

              </ul>
            </div>
          </div>
      
          <div
            class="modal fade ui-modal"
            id="staticBackdrop"
            data-bs-backdrop="static"
            data-bs-keyboard="false"
            tabindex="-1"
            aria-labelledby="staticBackdropLabel"
            aria-hidden="true"
          >
            <div class="modal-dialog smallpopup">
              <div class="modal-content ui-dialog">
                <div class="ui-widget-header">
                  <h5 class="modal-title" id="staticBackdropLabel">
                    <span
                      class="ui-dialog-title"
                      id="ui-dialog-title-modal-edit-dialog"
                      >{{ this.title }}</span
                    >
                  </h5>

                  <span
                    class="ui-icon ui-icon-closethick btn-cancel"
                    data-bs-dismiss="modal"
                    aria-label="Close"
                  >
                  </span>
                </div>
                <div class="ui-dialog-content">
                  <div class="modal-body">
                    {{ this.message }}
                  </div>
                  <div class="modal-footer">
                    <div
                      class="button type2"
                      id="uniform-undefined"
                      data-bs-dismiss="modal"
                    >
                      <span
                        >{{i18ntext.lngText('No')}}<input autocomplete="off"
                          type="button"
                          class="type2"
                          value="No"
                          style="width: 89px; opacity: 0"
                          onclick="edit_cancel()"
                          tabindex="10008"
                      /></span>
                    </div>
                    <div
                      class="button type2"
                      @click="messagegetconfirm(this.confirm)"
                      data-bs-dismiss="modal"
                    >
                      <span>{{i18ntext.lngText('yes')}}</span>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="search-box-content search-box02">
            <table
              width="100%"
              border="0"
              cellpadding="0"
              cellspacing="0"
              class="tbl_search"
              id="hover-table"
            >
              <tbody>
                <tr>
                  <th width="10%">{{i18ntext.lngText('document_no')}}</th>
                  <td width="50%">
                    <input autocomplete="off"
                      :disabled="true"
                      @change="autoUpdateProduct(form)"
                      v-model="form.document_no"
                      class="string_zen_kana clear_text text input_text"
                      style="width: 380px"
                      type="text"
                    />
                  </td>
                </tr>
                <tr>
                  <th width="10%">{{i18ntext.lngText('document_type')}}</th>
                  <td width="50%">
                    <input autocomplete="off"
                      @change="autoUpdateProduct(form)"
                      v-model="form.document_type"
                      class="string_zen_kana clear_text text input_text"
                      style="width: 380px"
                      type="text"
                      :disabled="is_close"
                    />
                  </td>
                </tr>
                <tr>
                  <th width="10%">{{i18ntext.lngText('description')}}</th>
                  <td width="50%">
                    <input autocomplete="off"
                      @change="autoUpdateProduct(form)"
                      v-model="form.description"
                      class="string_zen clear_text text input_text"
                      style="width: 380px"
                      type="text"
                      :disabled="is_close"
                    />
                  </td>
                </tr>
                <tr>
                  <th width="10%">{{i18ntext.lngText('supplier')}}</th>
                  <td width="50%">
                    <div class="dropdown">
                      <button :disabled="is_close"
                        @click="getunit(form)"
                        @onmouseout="prooductboom()"
                        class="dropdown-toggle string_zen clear_text text select-menu"
                        type="button"
                        id="dropdownMenuButton1"
                        data-bs-toggle="dropdown"
                        aria-expanded="false"
                        size="50"
                        style="width: 380px !important"
                      >
                        {{ form.suppliyer_code }}
                        <i class="fa fa-chevron-down"></i>


                      </button>
                      <div
                        class="dropdown-menu each-drop-menu"
                        aria-labelledby="dropdownMenuButton1"
                      >
                        <p>
                          <input autocomplete="off"
                            @input="searchproduct(txtsearch)"
                            class="string_zen clear_text text search-pro-field"
                            size="50"
                            type="text"
                          />
                        </p>
                        <ul style="list-style: none" class="scrollable-menu">
                          <li
                            v-for="supply in suppliyer"
                            :value="supply.sup_code"
                            :key="supply.id"
                            @click="getproduct(supply, form, 'supplyer')"
                          >
                            <div class="menu-item">
                              <p>{{ supply.sup_name }}</p>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </td>
                </tr>

                <tr>
                  <th width="10%">{{i18ntext.lngText('currency')}}</th>
                  <td width="50%">
                    <input autocomplete="off"
                      disabled
                      v-model="form.curency_code"
                      class="string_zen clear_text text input_text"
                      style="width: 380px"
                      type="text"
                    />
                  </td>
                </tr>

              </tbody>
            </table>
          </div>
          <div class="search-box-footer" style="background: #094e59e0">
            <div
              v-if="this.form.statue == 'open'"
              class="button type2"
              id="uniform-undefined"
            >
              <span
                data-bs-toggle="modal"
                data-bs-target="#statiex-import"
                tabindex="10028"
                @click="save()"
                ><input autocomplete="off"
                  @click="save()"
                  type="button"
                  value="display"
                  class="type2"
                  style="opacity: 0; width: 54px"
                  tabindex="10025"
                /><i class="fas fa-file-import"></i> {{i18ntext.lngText('import')}}</span
              >
            </div>
            <div class="button type2" id="uniform-undefined">
              <span
                data-bs-toggle="modal"
                data-bs-target="#statiex-import"
                tabindex="10028"
                @click="exportSheet()"
                ><input autocomplete="off"
                  @click="exportSheet()"
                  type="button"
                  value="display"
                  class="type2"
                  style="opacity: 0; width: 54px"
                  tabindex="10025"
                /><i class="fas fa-file-import"></i> {{i18ntext.lngText('export')}}</span
              >
            </div>
            <span class="marker"></span>
          </div>
        </div>

        <div class="box">
          <div class="box-content" id="excell">
            <table
              width="100%"
              border="0"
              cellpadding="0"
              cellspacing="0"
              class="tbl_list"
            >
              <thead>
                <tr class="excellcolor-trhead">
                  <th colspan="9" class="excellcolor-trhead">
                          <div v-if="is_close == false" :disabled="is_close"
                      class="button type2"
                      id="uniform-undefined"
                      v-show="btnGenerate"
                      @click="myFunction()"
                      style="float: left"
                    >
                      <span v-if="is_close == false" style="width: 145px"
                        ><input autocomplete="off"
                          type="button"
                          class="type2"
                          tabindex="10025"
                          value="display"
                          style="opacity: 0; width: 54px"
                        /><i class="fas fa-plus"></i> {{i18ntext.lngText('generate')}}</span
                      >
                    </div>
                  </th>
                </tr>
                <tr class="excellcolor-trhead">
                  <th class="excellcolor-trhead" style="width: 7%">{{i18ntext.lngText('product_no')}}</th>
                  <th class="excellcolor-trhead" style="width: 10%">{{i18ntext.lngText('description')}}</th>
                  <th class="excellcolor-trhead" style="width: 7%">{{i18ntext.lngText('unittype')}}</th>
                  <th class="excellcolor-trhead" style="width: 7%">{{i18ntext.lngText('inventory')}}</th>
                  <th class="excellcolor-trhead" style="width: 7%">{{i18ntext.lngText('buy_price')}}</th>
                  <th class="excellcolor-trhead" style="width: 7%">{{i18ntext.lngText('total_amount')}}</th>
                  <th class="excellcolor-trhead" style="width: 7%">{{i18ntext.lngText('currency')}}</th>
                  <th class="excellcolor-trhead" style="width: 10%">{{i18ntext.lngText('remark')}}</th>
                  <th class="excellcolor-trhead" style="width: 7%"></th>
                </tr>
                <tr v-for="(purchaseLine) in purchases_lines" >
                  <th>
                    <div class="dropdown">
                      <button :disabled="is_close"
                        @onmouseout="prooductboom(purchaseLine)"
                        class="dropdown-toggle string_zen clear_text text"
                        type="button"
                        id="dropdownMenuButton1"
                        data-bs-toggle="dropdown"
                        aria-expanded="false"
                        size="50"
                      >
                        <i class="fa fa-caret-down" aria-hidden="true"></i
                        >{{ purchaseLine.product_no }}
                      </button>
                      <div
                        class="dropdown-menu"
                        aria-labelledby="dropdownMenuButton1"
                        style="
                          max-height: 400px;
                          width: 250px;
                          scroll-behavior: smooth;
                          padding: 5px;
                          margin: 5px;
                          box-shadow: 1px 1px 5px #141417;
                        "
                      >
                        <p>
                          <input autocomplete="off"
                            v-model="txtsearch"
                            @input="searchproduct(txtsearch)"
                            class="string_zen clear_text text"
                            size="50"
                            type="text"
                            style="
                              width: 98% !important;
                              border: 1px teal solid;
                              border-radius: 1px;
                              height: 30px;
                            "
                          />
                        </p>
                        <ul style="list-style: none" class="scrollable-menu">
                          <li
                            v-for="(boompro, i) in products"
                            :key="i"
                            @click="getproduct(boompro, purchaseLine, 'boomproducr')"
                          >
                            <div class="menu-item">
                              <p style="color: blue">{{ boompro.product_no }}</p>
                              <p>{{ boompro.description }}</p>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </th>
                  <th>
                    <input autocomplete="off" disabled
                      v-model="purchaseLine.description"
                      class="clear_text code text"
                      id="jusinsya_code"
                      type="text"
                      style="min-width: 10em; width: 95%"
                    />
                  </th>
                  <th>
                    <div class="dropdown">
                      <button :disabled="is_close"
                        @click="getunit(purchaseLine.product_no)"
                        @onmouseout="prooductboom(purchaseLine)"
                        class="dropdown-toggle string_zen clear_text text"
                        type="button"
                        id="dropdownMenuButton1"
                        data-bs-toggle="dropdown"
                        aria-expanded="false"
                        size="50"
                      >
                        {{ purchaseLine.unit_of_measure_code }}
                        <i class="fa fa-caret-down" aria-hidden="true"></i>
                      </button>
                      <div
                        class="dropdown-menu"
                        aria-labelledby="dropdownMenuButton1"
                        style="
                          max-height: 400px;
                          width: 250px;
                          scroll-behavior: smooth;
                          padding: 5px;
                          margin: 5px;
                          box-shadow: 1px 1px 5px #141417;
                          border: none;
                        "
                      >
                        <p>
                          <input autocomplete="off"
                            :disabled="isDisabled"
                            @input="searchproduct(txtsearch)"
                            class="string_zen clear_text text"
                            size="50"
                            type="text"
                            style="
                              width: 98% !important;
                              border: 1px teal solid;
                              border-radius: 1px;
                              height: 30px;
                            "
                          />
                        </p>
                        <ul style="list-style: none" class="scrollable-menu">
                          <li
                            v-for="(boompro, i) in boomunits"
                            :key="i"
                            @click="getproduct(boompro, purchaseLine, 'linkunit')"
                          >
                            <div class="menu-item">
                              <p>{{ boompro.variant_unit_of_measure_code }}</p>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </th>

                  <th>
                    <input autocomplete="off" :disabled="is_close"
                      v-model="purchaseLine.inventory"
                      @change="autoUpdatePurline(purchaseLine)"
                      class="clear_text code text"
                      id="jusinsya_code"
                      name="jusinsya_code"
                      type="text"
                      tabindex="10008"
                      style="min-width: 4em; width: 90%"
                    />
                  </th>
                  <th>
                    <input autocomplete="off"  :disabled="is_close"
                      v-model="purchaseLine.unit_price"
                      @change="autoUpdatePurline(purchaseLine)"
                      class="clear_text code text"
                      id="jusinsya_code"
                      style="min-width: 4em; width: 90%"
                    />
                  </th>

                  <th>
                    <input autocomplete="off"
                      :disabled="true"
                      :value="Number(purchaseLine.total_amount).toLocaleString()"
                      @change="autoUpdatePurline(purchaseLine)"
                      class="clear_text code text"
                      id="jusinsya_code"
                      name="jusinsya_code"
                      type="text"
                      tabindex="10008"
                      style="width: 95%; margin-left: 0px !important"
                    />
                  </th>

                  <th>
                    <input autocomplete="off"
                      disabled
                      v-model="purchaseLine.curency_code"
                      class="clear_text code text"
                      id="jusinsya_code"
                      type="text"
                      style="width: 95%"
                    />
                  </th>
                  <th>
                    <input autocomplete="off"
                      :disabled="is_close"
                      v-model="purchaseLine.remark"
                      @change="autoUpdatePurline(purchaseLine)"
                      class="clear_text code text"
                      id="jusinsya_code"
                      name="jusinsya_code"
                      type="text"
                      tabindex="10008"
                      style="width: 95%"
                    />
                  </th>
                  <th style="padding: 5px 0px !important">
                    <div v-if="is_close == false"
                      class="button type2"
                      id="uniform-undefined"
                      data-bs-toggle="modal"
                      data-bs-target="#staticBackdrop"
                      @click="
                        getMessage(
                          'Message',
                          'Do yout want to Delete this recode. [' + purchaseLine.id + ']',
                          'delelink',
                          purchaseLine.id
                        )
                      "
                    >
                      <span
                        ><input autocomplete="off"
                          type="button"
                          class="type2"
                          style="opacity: 0; width: 54px"
                          tabindex="10025"
                          value="display"
                        /><i class="fa fa-trash" aria-hidden="true"></i> {{i18ntext.lngText('Delete')}}</span
                      >
                    </div>
                    <div v-else
                      class="button type2"
                    >
                      <span
                        ><input autocomplete="off"
                          type="button"
                          class="type2"
                          style="opacity: 0; width: 54px"
                          tabindex="10025"
                          value="display"
                        /><i class="fa fa-trash" aria-hidden="true"></i> {{i18ntext.lngText('Delete')}}</span
                      >
                    </div>
                  </th>
                </tr>
              </thead>
              <vue-countdown
                style="display: none"
                v-if="counting"
                :time="60000"
                @end="onCountdownEnd"
                v-slot="{ totalSeconds }"
                >Fetch again {{ totalSeconds }} seconds later</vue-countdown
              >
            </table>
          </div>
          <div class="box-footer-pagination">
            <div class="pagination" style="padding: 5px; width: 100%">
              <div style="width: 30%; float: right; background: none; color: #f8f5b4">
                <div
                  id="inspection_call_statusdisplay"
                  class="clearfix mt_0"
                  style="margin=0;"
                >
                  <div class="col main status_tested" style="border: none; width: 100%">
                    <table cellpadding="0" cellspacing="0" border="0">
                      <thead>
                        <tr></tr>
                      </thead>
                      <tbody>
                        <tr>
                          <th>
                            <font
                              style="vertical-align: inherit; color: #f8f5b4"
                              class="pro"
                              >{{i18ntext.lngText('product')}}</font
                            >
                          </th>
                          <td>
                            <input autocomplete="off"
                              :disabled="true"
                              style="
                                vertical-align: inherit;
                                background: none;
                                border: none;
                              "
                              :value="Number(productline).toLocaleString()"
                            />
                          </td>
                        </tr>
                        <tr>
                          <th>
                            <font style="vertical-align: inherit; color: #f8f5b4"
                              >{{i18ntext.lngText('item')}}</font
                            >
                          </th>
                          <td>
                            <input autocomplete="off"
                              :disabled="true"
                              style="
                                vertical-align: inherit;
                                background: none;
                                border: none;
                              "
                              :value="Number(item).toLocaleString()"
                            />
                          </td>
                        </tr>
                        <tr>
                          <th>
                            <font style="vertical-align: inherit; color: #f8f5b4"
                              >{{i18ntext.lngText('total_amount')}}</font
                            >
                          </th>
                          <td>
                            <input autocomplete="off"
                              :disabled="true"
                              style="
                                vertical-align: inherit;
                                background: none;
                                border: none;
                              "
                              :value="Number(total).toLocaleString()"
                            />
                          </td>
                        </tr>
                      
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div
    class="modal fade ui-modal"
    id="staticboomId"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="staticboomId"
    aria-hidden="true"
  >
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel">
            <i class="fa fa-print" aria-hidden="true"></i> {{i18ntext.lngText('print')}}
          </h5>
          <span
            class="ui-icon ui-icon-closethick"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div class="ui-dialog-content">
          <div class="card">
            <div class="card-body" style="margin-left: auto; margin-right: auto; width:100%">
              <div class="mb-5 mt-3" id="purchaseorder" style="height: auto !important">
                <div style="padding:50px">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 class="title-purchase">{{i18ntext.lngText('report')}} {{i18ntext.lngText('purchase')}}</h3>
                    </div>
                  </div>
                  <div class="col-container">
                    <div class="col1" style="width: 55%">
                      <p class="p-bg font-size p-pad">{{i18ntext.lngText('company')}}</p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{i18ntext.lngText('name')}} :</span>
                        <span id="fon">{{ company.company_name }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{i18ntext.lngText('phonenumber')}} :</span>
                        <span id="fon">{{ company.company_Phone }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{i18ntext.lngText('email')}} :</span>
                        <span id="fon">{{ company.company_Email }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{i18ntext.lngText('address')}} :</span>
                        <span id="fon">{{ company.company_Address }}</span>
                      </p>
                    </div>
                    <div class="col2">
                      <p class="text-center p-bg font-size p-pad">{{i18ntext.lngText('date')}}</p>
                      <p class="text-center p-mg" id="fon">{{ dateformart }}</p>
                      <p class="text-center p-bg font-size p-pad">{{i18ntext.lngText('invoice_no')}}</p>
                      <p class="text-center p-mg" id="fon">{{ purchases }}</p>
                 
                    </div>
                  </div>
                  <div class="col-container">
                    <div class="row2-col1 mg-top" style="width: 38%">
                      <p class="p-bg font-size p-pad">{{i18ntext.lngText('order_person')}}</p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{i18ntext.lngText('name')}} :</span>
                        <span id="fon">{{ person.name }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{i18ntext.lngText('email')}} :</span>
                        <span id="fon">{{ person.email }}</span>
                      </p>
                    </div>
                    <div class="row2-col2 mg-top">
                      <p class="p-bg font-size p-pad">{{i18ntext.lngText('supplier')}}</p>
                      <p v-if="getsuppliyerviews != null" class="p-mg info-pad">{{i18ntext.lngText('name')}} : {{ getsuppliyerviews.sup_name }}</p>
                      <p v-else class="p-mg info-pad">{{i18ntext.lngText('name')}} : </p>
                      <p
                        v-if="getsuppliyerviews != null"
                        class="p-mg info-pad"
                      >
                      {{i18ntext.lngText('phonenumber')}} : {{ getsuppliyerviews.phone_no }} /
                        {{ getsuppliyerviews.phone_no_2 }}
                      </p>
                      <p v-else
                        class="p-mg info-pad">
                        {{i18ntext.lngText('phonenumber')}} :
                      </p>

                      <p v-if="getsuppliyerviews != null" class="p-mg info-pad">
                        {{i18ntext.lngText('email')}} : {{ getsuppliyerviews.email }}
                      </p>
                      <p v-else class="p-mg info-pad">
                        {{i18ntext.lngText('email')}} :
                      </p>
                      <p v-if="getsuppliyerviews != null" class="p-mg info-pad">
                        {{i18ntext.lngText('address')}} : {{ getsuppliyerviews.address }}
                      </p>
                      <p v-else class="p-mg info-pad">
                        {{i18ntext.lngText('address')}} :
                      </p>
                    </div>
                  </div>

                  <div class="my-2 justify-content-center">
                    <table id="pr-tb">
                      <thead>
                        <tr class="p-bg">
                          <th class="text-center">{{i18ntext.lngText('no')}}</th>
                          <th class="text-center" >{{i18ntext.lngText('product_no')}}</th>
                          <th class="text-center" >{{i18ntext.lngText('description')}}</th>
                          <th class="text-center" >{{i18ntext.lngText('qty')}}</th>
                          <th class="text-center" >{{i18ntext.lngText('buy_price')}}</th>
                          <th class="text-center" >{{i18ntext.lngText('total_amount')}}</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(purchase, index) in purchases_lines" :key="index">
                          <td>{{ index + 1 }}</td>
                          <td>{{ purchase.document_no }}</td>
                          <td>{{ purchase.description }}</td>
                          <td>{{ Number(purchase.inventory).toLocaleString() }} {{ purchase.unit_of_measure_code }}</td>
                          <td>{{ Number(purchase.unit_price).toLocaleString() }}</td>
                          <td>{{ Number(purchase.total_amount).toLocaleString() }}</td>
                        </tr>
                        <tr>

                          <td class="none-border" colspan="4">{{i18ntext.lngText('remark')}}/{{i18ntext.lngText('instruction')}}</td>
                          <td>{{i18ntext.lngText('total')}}</td>
                          <td> {{ Number(total).toLocaleString() }} ៛</td>
                        </tr>
                        <!-- <tr>
                          <td class="none-border" colspan="4"></td>
                          <td>{{i18ntext.lngText('tax')}}</td>
                          <td> </td>
                        </tr> -->
                         <!-- <tr>
                          <td class="none-border" colspan="4"></td>
                          <td>{{i18ntext.lngText('total_amount')}}</td>
                          <td>{{ Number(total).toLocaleString() }}{{ currency }}</td>
                        </tr> -->
                      </tbody>
                    </table>

                    <div class="col-container mg-top-sig">
                      <div class="col4">
                        <p style="margin-bottom: 2em">{{i18ntext.lngText('order')}}</p>
                        <p style="font-size: 16px;">{{i18ntext.lngText('signature')}}</p>
                      </div>
                      <div class="col5">
                        <p style="margin-bottom: 2em">{{i18ntext.lngText('supplier')}}</p>
                        <p style="font-size: 16px;">{{i18ntext.lngText('signature')}}</p>
                      </div>
                    </div>
                  </div>

                  <hr />
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <a
            v-print="'#purchaseorder'"
            class="btn-purchase btn-light text-capitalize border-0"
            data-mdb-ripple-color="dark"
            ><i class="fas fa-print text-primary"></i> {{i18ntext.lngText('print')}}</a
          >
        </div>
      </div>
    </div>
  </div>
  <div
    class="modal fade ui-modal"
    id="statiex-import"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="staticboomId"
    aria-hidden="true"
  >
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel">
            <i class="fa fa-print" aria-hidden="true"></i> {{ excel }} to Docutment:
            {{ form.document_no }} , {{ form.description }}
          </h5>
          <a
            href="#"
            class="ui-dialog-titlebar-close ui-corner-all"
            role="button"
            data-bs-dismiss="modal"
          >
            <span class="ui-icon ui-icon-closethick">close</span></a
          >
        </div>
        <div id="purchaseorder">
          <div class="card">
            <div class="card-body">
              <div class="container mb-5 mt-3">
                <div class="row d-flex align-items-baseline">
                  <div class="col-xl-9"></div>
                  <hr />
                </div>

                <div class="container">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 v-if="excel == 'Import'" class="​title-purchase" id="titlered">
                        {{ excel }} {{ exefile }} from Excel
                      </h3>
                      <h3 v-else class="title-purchase" id="titlered">
                        {{ excel }} To Excel
                      </h3>
                    </div>
                  </div>
                  <div
                    class="row my-2 mx-1 justify-content-center table-padding-bot customsroll"
                  >
                    <table class="table table-striped table-borderless" id="exceldata">
                      <thead style="background-color: #84b0ca" class="text-white">
                        <tr>
                          <th style="width: 5%">No</th>
                          <th style="width: 10%">Document No</th>
                          <th style="width: 10%">Document Type</th>
                          <th style="width: 7%">Product No</th>
                          <th style="width: 7%">Description</th>
                          <th style="width: 7%">Unit Price</th>
                          <th style="width: 7%">Inventory</th>
                          <th style="width: 7%">Unit Code</th>
                          <th style="width: 7%">Total</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(purchaseLine, index) in items" :key="items.index">
                          <th v-if="index >= 1" style="width: 5%">{{ index }}</th>
                          <th v-if="index >= 1" style="width: 10%">
                            {{ purchaseLine.document_no }}
                          </th>
                          <th v-if="index >= 1" style="width: 10%">
                            {{ purchaseLine.document_type }}
                          </th>
                          <th v-if="index >= 1" style="width: 7%">
                            {{ purchaseLine.product_no }}
                          </th>
                          <th v-if="index >= 1" style="width: 10%">
                            {{ purchaseLine.description }}
                          </th>
                          <th v-if="index >= 1" style="width: 7%">
                            {{ purchaseLine.unit_price }}{{ purchaseLine.curency_code }}
                          </th>
                          <th v-if="index >= 1" style="width: 7%">
                            {{ purchaseLine.inventory }}
                          </th>
                          <th v-if="index >= 1" style="width: 7%">
                            {{ purchaseLine.unit_of_measure_code }}
                          </th>
                          <th v-if="index >= 1" style="width: 7%">
                            {{ purchaseLine.total_amount }}{{ purchaseLine.curency_code }}
                          </th>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <div class="row">
                    <div class="col-xl-8 supplier-padding">
                      <p class="ms-3">Payment Information</p>
                      <ul class="list-unstyled">
                        <li class="text-muted">
                          ABA BANK<span class="text--color">Mr. Master</span>
                        </li>
                        <li class="text-muted">
                          Bank Name:<span class="text--color">Mr. Master</span>
                        </li>
                        <li class="text-muted">
                          Bank Account Number:
                          <span class="text--color">001 025 025</span>
                        </li>
                      </ul>
                    </div>
                    <div class="col-xl-8 supplier-padding">
                      <ul class="list-unstyled">
                        <tr>
                          <td class="th-font-bold text-right">Products :</td>
                          <td class="th-font-bold">{{ productline }}</td>
                        </tr>
                        <tr>
                          <td class="th-font-bold text-right">Inventory :</td>
                          <td class="th-font-bold">{{ item }}</td>
                        </tr>
                        <tr>
                          <td class="th-font-bold table-th-width text-right">
                            Total Amount :
                          </td>
                          <td class="th-font-bold">{{ total }}{{ currency }}</td>
                        </tr>
                      </ul>
                    </div>
                  </div>
                  <hr />
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <a
            v-if="excel == 'Import'"
            class="btn-purchase btn-light text-capitalize"
            data-bs-dismiss="modal"
            data-mdb-ripple-color="dark"
            @click="saveprulink()"
            ><i class="fas fa-save"></i> Save Date</a
          >
          <a
            v-if="excel == 'Import'"
            class="btn-purchase btn-light text-capitalize"
            data-mdb-ripple-color="dark"
            ><i class="fas fa-file-excel"></i> {{ excel }} Form excel</a
          >
          <input autocomplete="off"
            v-if="excel == 'Import'"
            type="file"
            @change="getExcelData"
            name="select_file"
          />
          <a
            v-else
            class="btn-purchase btn-light text-capitalize"
            data-bs-dismiss="modal"
            data-mdb-ripple-color="dark"
            @click="exportdataExcel()"
            ><i class="fas fa-save"></i> Save Date</a
          >
        </div>
      </div>
    </div>
  </div>
  <div id="myModal" class="lskymodal">
    <div class="lskymodal-content">
      <p><i class="fa fa-check" aria-hidden="true"></i> {{ massege }}</p>
    </div>
  </div>
  <div id="myModalauto" class="lsky">
    <div class="lsky-content">
      <p>{{ massege }}</p>
    </div>
  </div>

  <div id="myModal" class="lskymodal">
    <div class="lskymodal-content">
      <p><i class="fa fa-check" aria-hidden="false"></i> {{ massege }}</p>
    </div>
  </div>

  <div class="modal fade ui-modal" id="confirmsubmit" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
        aria-labelledby="clearconfirmlabel" aria-hidden="true">
        <div class="modal-dialog smallpopup" id="nonbackgroundboom">
            <div class="modal-content ui-dialog">
                <div class="ui-widget-header">
                    <h5 class="modal-title" id="exampleModalLabel">
                        <span class="ui-dialog-title" id="ui-dialog-title-modal-edit-dialog">{{i18ntext.lngText('confirm_message')}}</span>
                    </h5>
                    <span class="ui-icon ui-icon-closethick btn-cancel" data-bs-dismiss="modal"
                        aria-label="Close"></span>
                </div>
                <div class="ui-dialog-content" style="background-color: #fff;">
                    <div class="modal-body">{{i18ntext.lngText('continue_message')}}</div>
                    <div class="modal-footer">

                        <div class="button type2" id="uniform-undefined" data-bs-dismiss="modal">
                            <span>{{i18ntext.lngText('No')}}<input autocomplete="off" type="button" class="type2"  value="No"
                                    style="width: 89px; opacity: 0;">
                            </span>

                        </div>
                        <div class="button type2" data-bs-dismiss="modal" @click="bookingPurchase()"><span>{{i18ntext.lngText('yes')}}</span></div>
                    </div>
                </div>
            </div>
        </div>
    </div>



  <Footer />
  <UserInfo />
</template>
<script>
import readXlsxFile from "read-excel-file";
import * as XLSX from "xlsx-js-style";
import moment from "moment";
import axios from "axios";
import Auth from "../../auth/Auth";
import Header from "../Header.vue";
import Footer from "../footer.vue";
import Logo from "../logo.vue";
import print from "vue3-print-nb";
import i18n from "../../i18n/i18n";
import UserInfo from "../UserInfo.vue";
export default {
  components: { Header, Footer, Logo,UserInfo },
  directives: { print },
  data() {
    return {
      i18ntext: i18n,
      massege: "",
      pending: false,
      file: null,
      img: "",
      currency: "",
      company: [],
      dateformart: "",
      code: "",
      confirm: "",
      title: "",
      message: "",
      purchases: "",
      exefile: "",
      purchasesCode: "",
      suppliyer: [],
      getsuppliyerviews: [],
      purchases_lines: [],
      user: [],
      units: [],
      products: [],
      boompros: [],
      boomunits: [],
      btnGenerate: false,
      total: 0,
      item: 0,
      productline: 0,
      form: {
        document_no: "",
        document_type: "",
        description: "",
        suppliyer_code: "",
        curency_code: "",
        created_by: Auth.user.id,
        updated_by: "",
        inactived: "",
      },
      checkexcel: [],
      items: [
        {
          id: "",
          document_no: "",
          document_type: "",
          product_no: "",
          description: "",
          unit_of_measure_code: "",
          inventory: 0,
          unit_price: 0,
          total_amount: 0,
          curency_code: "",
        },
      ],
      person: {
        name: Auth.user.user_name,
        email: Auth.user.email,
      },

      checkarray: 1,
      excel: "Import",
      head: [
        "id",
        "document_no",
        "document_type",
        "product_no",
        "description",
        "unit_of_measure_code",
        "inventory",
        "unit_price",
        "total_amount",
        "curency_code",
      ],
      fileName: "PrucheseLine.xlsx",
      is_close: false,



    };
  },
  async mounted() {


    if (Auth.check()) {
        if(!Auth.checkPermission('PURCHESEORDER_ALL')){
            this.$router.push('/dashboard');
        }
    }
    try {
      if (this.$route.query.id.trim() != "undefined") {
        this.purchases = this.$route.query.id;
      }
    } catch (error) {
      this.purchases = "undefined";
    }
    this.getPurchaseoOrder();
    this.getUnit();
    this.getsuppliyer();
    this.getProduct();
    this.getEdite();
    this.prooductboom();
    this.purchases_lines = null;
    this.getcompany();
    this.getsuppliyerview();
    this.getuser();
  },
  methods: {
    sumTotal(totals) {
      this.total = 0;
      this.item = 0;
      this.productline = 0;
      totals.forEach((element) => {
        this.productline += 1;
        this.item += parseFloat(element.inventory);
        this.total += parseFloat(element.total_amount);
        this.currency = element.curency_code;
      });
    },
    async bookingPurchase(){
      await axios.get('api/v1/purchase/booking/'+this.form.document_no)
                  .then(res => {
                    this.is_close = res.data.status

                    this.getPurchaseoOrder()
                  })
    },
    getcompany() {
      axios.get("/api/v1/getSetup/").then((response) => {
        this.company = response.data;
        this.dateformart = moment(new Date()).format("DD-MM-YYYY");
      });
    },
    gettoRecpt() {
      this.$router.push({
        name: "recept",
        query: { id: this.purchases },
      });
    },
    getPurchaseoOrder() {
      axios.get("api/v1/purchase/" + this.purchases).then((res) => {
        this.form = res.data;
        if(this.form.statue == 'open'){
          this.is_close = false;
        }
        if(this.form.statue == 'pending' || this.form.statue == 'close'){
          this.is_close = true
        }
      });
    },
    btnGenerate_code($status) {
      this.isDisabled = false;
      this.btnGenerate = true;
      this.crateNewsProduct();
    },
    myFunction(val) {
      axios
        .post("api/v1/purchase/addrow/purchaseline/" + this.purchases)
        .then((response) => {
          this.purchases_lines = response.data;
        });
      let i = this.purchases_lines.findIndex((x) => x.id === val.id);
      if (i != -1) {
        this.purchases_lines[i].document_no += 1;
      } else {
        var plus = this.purchases_lines.document_no;
        this.purchases_lines.push(plus);
      }
    },
    getProduct(page = 1) {
      axios.get("api/v1/products/productSell?page="+page).then((res) => {
        this.products = res.data.data;

      });
    },
    getUnit() {
      axios.get("/api/v1/unitcode/getData").then((response) => {
        this.units = response.data;
      });
    },
    getsuppliyer() {
      axios.get("api/v1/suppliyers/getdatasub").then((response) => {
        this.suppliyer = response.data;
      });
    },
    async getsuppliyerview() {
      if (this.form.suppliyer_code != null) {
        await axios
          .get("/api/v1/purchase/purchesesup/" + this.purchases)
          .then((response) => {
            this.getsuppliyerviews = response.data[0];

          });
      }
    },
    getuser() {
      axios.get("/api/v1/purchase/purcheseuser/" + this.purchases).then((response) => {
        this.user = response.data[0];
      });
    },
    prooductboom() {
      axios.get("/api/v1/getproductboom/" + this.products).then((response) => {
        this.boompros = response.data;
      });
    },
    crateNewsProduct() {
      axios.post("/api/v1/purchase/store").then((response) => {
        this.form = response.data;
        this.is_close = false
        this.$router.push({ name: "Purchase",  query: { id: this.form[0].document_no }});
        this.form.forEach((element) => {
          this.form.document_no = element.document_no;
          this.purchases = element.document_no;
          this.getEdite();
        });
      });
    },
    getEdite() {
      if (this.purchases.trim() != "undefined") {
        axios
          .get("api/v1/purchase/edit/purchaseorder/" + this.purchases)
          .then((response) => {
            this.form = response.data;
            this.isDisabled = false;
          }),
          axios
            .get("api/v1/purchase/edit/purchaseline/" + this.purchases)
            .then((response) => {
              this.purchases_lines = response.data;
              // this.sumItem(response.data);
              this.sumTotal(response.data);
              this.btnGenerate = true;
            });
      }
    },
    deleteUnit(linkId) {
      if (linkId != null) {
        axios.post("api/v1/purchase/delete/purchaseline/" + linkId).then((response) => {
          this.purchases_lines = response.data;
        });
      }
    },
    getMessage(title, messsatetext, confirm, id) {
      this.title = title;
      this.message = messsatetext;
      this.confirm = confirm;
      this.code = id;
    },
    messagegetconfirm(confirm) {
      if (confirm == "crate") {
        this.btnGenerate_code("crate");
      }
      if (confirm == "delelink") {
        this.deleteUnit(this.code);
      }
    },
    autoUpdate(purline) {
      for (var i = 0; i <= 100000; i++) {
        if (i === 100000)
          alert(
            purline.document_no + "  " + purline.description + "  " + purline.product_no
          );
      }
    },
    searchproduct(txt) {
      axios.get("/api/v1/purchase/search/" + txt).then((response) => {
        this.products = response.data;
      });
    },
    getproduct(boom, product, txt) {
      if (txt == "boomproducr") {
        product.product_no = boom.product_no;
        product.description = boom.description;
        this.autoUpdatePurline(product);
      }
      if (txt == "boomunit") {
        product.unit_of_measure_code = boom.variant_unit_of_measure_code;
        this.autoUpdatePurline(product);
      }
      if (txt == "linkunit") {
        product.unit_of_measure_code = boom.variant_unit_of_measure_code;
        product.unit_price = boom.unit_price;
        product.curency_code = boom.curency_code;
        this.autoUpdatePurline(product);
      }
      if (txt == "supplyer") {
        product.suppliyer_code = boom.sup_code;
        this.autoUpdateProduct(product);
        this.getPurchaseoOrder();
      }
    },
    prooductboom() {
      axios.get("/api/v1/getproductboom/" + this.products).then((response) => {
        this.boompros = response.data;
      });
    },
    autoUpdatePurline(purline) {
      purline.total_amount =
        parseFloat(purline.inventory) * parseFloat(purline.unit_price);
      axios

        .post("/api/v1/purchase/update/purchaseline/" + purline.document_no, purline)
        .then((res) => {
          this.sumTotal(res.data);
          this.purchases_lines = res.data;
          this.inventory = 0;
        });
    },
    autoUpdateProduct(purform) {
      purform.updated_by = Auth.user.id;
      if (purform.document_no != "") {
        axios
          .post("api/v1/purchase/update/purchaseorder/" + purform.document_no, purform)
          .then((response) => {
          });
          this.getEdite()
          this.getPurchaseoOrder();
          this.getsuppliyerview()
      }
    },
    getboomnit(proid) {
      axios.post("/api/v1/products/getboomline/" + proid).then((response) => {
        this.uints = response.data;
      });
    },
    getunit(proid) {
      axios.post("/api/v1/purchase/delete/getPrulinkUnit/" + proid).then((response) => {
        this.boomunits = response.data;
      });
    },
    getExcelData(event) {
      this.exefile = "";
      const titlered = document.getElementById("titlered");
      titlered.style.color = "326c7a";
      this.items = [];
      let xlsxfile = event.target.files ? event.target.files[0] : null;
      readXlsxFile(xlsxfile).then((rows) => {
        var x = 0;
        rows.forEach((element) => {
          if (x >= 0) {
            if (x == 0) {
              this.checkexcel = element;
            } else {
              if (
                this.checkexcel[0] == "id" &&
                this.checkexcel[1] == "product_no" &&
                this.checkexcel[2] == "description" &&
                this.checkexcel[3] == "unit_of_measure_code" &&
                this.checkexcel[4] == "inventory" &&
                this.checkexcel[5] == "unit_price" &&
                this.checkexcel[6] == "total_amount"
              ) {
                this.items.push({
                  id: x,
                  document_no: this.form.document_no,
                  document_type: this.form.document_type,
                  product_no: element[1],
                  description: element[2],
                  unit_of_measure_code: element[3],
                  inventory: element[4],
                  unit_price: element[5],
                  total_amount: element[6],
                  curency_code: this.form.curency_code,
                });
              } else {
                this.exefile = " fail data ";
                titlered.style.color = "red";
              }
            }
          }
          x++;
          this.sumTotal(this.items);
        });
      });
      this.exefile = "";
    },
    saveprulink() {
      if (this.items.length > 0) {
        setTimeout(() => this.savepru(), 500);
      }
    },
    savepru() {
      axios
        .post("/api/v1/purchase/PrulinkeSave", this.items[this.checkarray])
        .then((response) => {
          this.massege =
            this.items[this.checkarray - 1].product_no +
            " / " +
            this.items[this.checkarray - 1].description;
          this.massege +=
            " : " +
            this.items[this.checkarray].product_no +
            " / " +
            this.items[this.checkarray].description;
          this.massege +=
            " : " +
            this.items[this.checkarray + 1].product_no +
            " / " +
            this.items[this.checkarray + 1].description;
        });
      if (this.checkarray < this.items.length) {
        this.saveprulink();
        this.checkarray++;
        this.meassagechek("open");
      } else {
        this.meassagechek("close");
        this.checkarray = 0;
      }
    },
    save() {
      this.excel = "Import";
      this.productline = 0;
      this.total = 0;
      this.items = [];
      this.item = 0;
    },
    meassagechek(check) {
      var modal = document.getElementById("myModalauto");
      if (check == "open") {
        modal.style.display = "block";
      } else {
        axios
          .post("api/v1/purchase/addrow/purchaseline/" + this.purchases)
          .then((response) => {
            this.purchases_lines = response.data;
            modal.style.display = "none";
          });
      }
    },
    exportSheet() {
      this.items = [];
      this.purchases_lines.forEach((element) => {
        this.items.push({
          document_no: element.document_no,
          document_type: element.document_type,
          product_no: element.product_no,
          description: element.description,
          unit_of_measure_code: element.unit_of_measure_code,
          inventory: element.inventory,
          unit_price: element.unit_price,
          total_amount: element.total_amount,
          curency_code: element.curency_code,
        });
      });
      this.excel = "Export";
    },
    exportdataExcel() {
      const invoices = this.items.reduce((ac, element) => {
        if (element.document_type == null || element.document_type == "") {
          element.document_type = "Null";
        }
        ac.push({
          No: element.document_no,
          DocumentType: element.document_type,
          Product: element.product_no,
          Description: element.description,
          UnitType: element.unit_of_measure_code,
          Inventory: element.inventory,
          Price: element.unit_price,
          Total: element.total_amount,
          Currency: element.curency_code,
        });
        return ac;
      }, []);

      var invoicesWS = XLSX.utils.json_to_sheet(invoices, { origin: "A10", raw: true });
      var wb = XLSX.utils.book_new();
      XLSX.utils.sheet_add_aoa(
        invoicesWS,
        [
          ["PRODUCTS"],
          ["COMPANY NAME"],
          ["NAME : Cambo Pharma"],
          ["PHONE NUMBER : (+855)12 381215"],
          ["EMAIL ADDRESS : Cambo.pharma@gmail.com"],
          ["ADDRESS : ត្រើយកោះ ស្រុកទឹកឈូ ខេត្តកំពត"],
          ["DATE"],
          [new Date()],
        ],
        { origin: "A1", display: false, dateNF: "DD-MM-YYYY", cellDates: false }
      );
      var wscols = [
        { width: 20 },
        { width: 20 },
        { width: 20 },
        { width: 20 },
        { width: 20 },
        { width: 20 },
        { width: 20 },
        { width: 20 },
        { width: 20 },
      ];
      invoicesWS["!cols"] = wscols;
      var merge = [
        { s: { c: 0, r: 0 }, e: { c: 11, r: 0 } },
        { s: { c: 0, r: 1 }, e: { c: 11, r: 1 } },
        { s: { c: 0, r: 2 }, e: { c: 11, r: 2 } },
        { s: { c: 0, r: 3 }, e: { c: 11, r: 3 } },
        { s: { c: 0, r: 4 }, e: { c: 11, r: 4 } },
        { s: { c: 0, r: 5 }, e: { c: 11, r: 5 } },
        { s: { c: 0, r: 6 }, e: { c: 11, r: 6 } },
        { s: { c: 0, r: 7 }, e: { c: 11, r: 7 } },
        { s: { c: 0, r: 8 }, e: { c: 11, r: 8 } },
      ];
      invoicesWS["!merges"] = merge;
      XLSX.utils.book_append_sheet(wb, invoicesWS, "PruchecLink");
      var x = wb.Sheets.PruchecLink;
      for (var row in x) {
        const style = x[row];
        try {
          style.s = {
            alignment: { horizontal: "right", vertical: "right", wrapText: true },
            border: {
              top: { style: "thin" },
              right: { style: "thin" },
              bottom: { style: "thin" },
              left: { style: "thin" },
            },
          };
        } catch (error) {}
      }
      x["A1"].s = {
        font: {
          name: "Segoe UI Variable Display Semib",
          sz: 16,
          bold: true,
          color: { rgb: "326c7a" },
        },
        alignment: { horizontal: "center", vertical: "center" },
      };
      x["A2"].s = {
        font: { name: "Segoe UI Variable Display Semib", sz: 16, bold: true },
        fill: { fgColor: { rgb: "8DD5E8" } },
        alignment: { horizontal: "center", vertical: "center" },
      };
      x["A7"].s = {
        font: { sz: 12, bold: true },
        alignment: {
          name: "Bahnschrift SemiLight SemiConde",
          horizontal: "center",
          vertical: "center",
        },
        fill: { fgColor: { rgb: "8DD5E8" } },
      };
      const sheet = ["A3", "A4", "A5", "A6", "A8"];
      for (var sheets of sheet) {
        x[sheets].s = {
          font: { name: "Bahnschrift SemiLight SemiConde", sz: 12 },
          fill: { fgColor: { rgb: "ffffff" } },
          alignment: { horizontal: "center", vertical: "center" },
        };
      }
      const colName = ["A10", "B10", "C10", "D10", "E10", "F10", "G10", "H10", "I10"];
      for (var itm of colName) {
        x[itm].s = {
          font: { name: "Bahnschrift SemiLight SemiConde", sz: 12, bold: true },
          fill: { fgColor: { rgb: "8DD5E8" } },
          border: {
            top: { style: "thin" },
            right: { style: "thin" },
            bottom: { style: "thin" },
            left: { style: "thin" },
          },
        };
      }
      XLSX.writeFile(wb, "PruchecLink.xlsx");
    },
  },
  startCountdown: function () {
    this.counting = true;
  },
  onCountdownEnd: function () {
    this.counting = false;
  },
};
</script>
